Subject: bug#16292: 24.3.50; info docs now contain single straight quotes instead of `'

From: Paul Eggert <[email-masked]>
Date: Fri, 02 May 2014 12:07:06 -0700

On 05/02/2014 11:11 AM, Drew Adams wrote:
> I've had a report from an info+.el user that his 24.4.50.1
> build breaks the Info+ highlighting of names because '...' is
> used now instead of `...'.

Emacs should be built either with an old makeinfo, which should quote 
`like this' with ASCII accent-grave and apostrophe, or with a new 
makeinfo, which should quote ‘like this’ with Unicode directed 
single-quotes. Makeinfo shouldn't quote 'like this' with ASCII 
apostrophe only. Perhaps your info+.el user could investigate why 
makeinfo is misbehaving for them, and if they figure that out it might 
be nice for us to modify the Emacs distribution to stop the misbehavior. 
This should fix the problem without info+.el having to worry about which 
makeinfo version was used.

Also: in a standard Emacs tarball the builder shouldn't ever run 
makeinfo, as the info files should all be prebuilt and up-to-date. Can 
your info+.el user please also investigate why that didn't work for them?